Skip to main content
`Ctrl`+`K`

# PCBDDCSetNeumannBoundariesLocal

Set the `IS` defining Neumann boundaries for the global problem in local ordering.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetNeumannBoundariesLocal(PC pc, IS NeumannBoundaries)

Collective

## Input Parameters

- pc - the preconditioning context

- NeumannBoundaries - parallel `IS` defining the subdomain part of Neumann boundaries (in local ordering)

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetNeumannBoundaries()`, `PCBDDCGetDirichletBoundaries()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

PCBDDCSetNeumannBoundariesLocal_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages